Bug 1574204 - [Regression][Embedded Ansible] Ansible Catalog Item can be created without the Dialog
Summary: [Regression][Embedded Ansible] Ansible Catalog Item can be created without th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: lgalis
QA Contact: Kedar Kulkarni
URL:
Whiteboard: ansible_embed
Depends On:
Blocks: 1578976
TreeView+ depends on / blocked
 
Reported: 2018-05-02 19:33 UTC by Kedar Kulkarni
Modified: 2019-02-11 14:04 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578976 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:04:34 UTC
Category: Bug
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (28.23 KB, image/png)
2018-05-02 19:33 UTC, Kedar Kulkarni
no flags Details

Description Kedar Kulkarni 2018-05-02 19:33:38 UTC
Created attachment 1430259 [details]
Screenshot

Description of problem:
Ansible Catalog Item can be created without the Dialog

Version-Release number of selected component (if applicable):
CFME 5.9.2.0 onward

How reproducible:
100%

Steps to Reproduce:
1.Enable Embedded Ansible Role
2.Navigate to Services -> Catalogs
3.Create a service catalog
4.Create a new catalog without selecting "Create New" or "Use Existing", fill in other details and save
5.Try to order this catalog item

Actual results:
You cannot order the service without dialog, see screenshot 

Expected results:
It should be mandatory as it was until 5.9.1.2 in the create catalog item form. If you edit the same catalog item, it will not save changes until you create new or use existing dialog. 

Additional info:
CFME 5.9.1.2 was last build where this was mandatory to create a dialog

Comment 5 Kedar Kulkarni 2018-07-02 18:42:20 UTC
5.10.0.2 does not let you create ansible catalog item without a dialog as expected.


Note You need to log in before you can comment on or make changes to this bug.